<?php
/**
* フレームワークコンポーネントの基底クラス
*
* PHP version 5
*
* @package    base
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/


class CharcoalComponent extends Object
{
	private $_name;

	/*
	 * コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/*
	 * ページセレクタを初期化する
	 */
	public function init( Config $config )
	{
	}

	/**
	 *   オブジェクト名を取得
	 */
	public function getName()
	{
		return $this->_name;
	}

	/**
	 *   オブジェクト名を設定
	 */
	public function setName( String $name )
	{
		$this->_name = $name;
	}
}
return __FILE__;
